Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class InjectionCollection

    java.lang.Object
      org.mortbay.jetty.plus.annotation.InjectionCollection

    public class InjectionCollection

extends java.lang.Object

InjectionCollection

Constructor Summary
`InjectionCollection()`

Method Summary
`void` | `add(Injection injection)`
`java.util.List` | `getFieldInjections(java.lang.Class clazz)`
`Injection` | `getInjection(java.lang.Class clazz, java.lang.reflect.Member member)`
`java.util.List` | `getInjections(java.lang.Class clazz)`
`java.util.List` | `getMethodInjections(java.lang.Class clazz)`
`void` | `inject(java.lang.Object injectable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionCollection

    public InjectionCollection()

Method Detail

### add

    public void add(Injection injection)

### getFieldInjections

    public java.util.List getFieldInjections(java.lang.Class clazz)

### getMethodInjections

    public java.util.List getMethodInjections(java.lang.Class clazz)

### getInjections

    public java.util.List getInjections(java.lang.Class clazz)

### getInjection

    public Injection getInjection(java.lang.Class clazz,
                                  java.lang.reflect.Member member)

### inject

    public void inject(java.lang.Object injectable)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.